org.apache.ignite.spi.communication.tcp.internal

## Class CommunicationWorker

- java.lang.Object
- - org.apache.ignite.internal.util.worker.GridWorker
  - - org.apache.ignite.spi.communication.tcp.internal.CommunicationWorker

All Implemented Interfaces:
  Runnable, WorkProgressDispatcher

    public class CommunicationWorker
    extends GridWorker

Works with connections states.

### Field Summary

Fields
`static String` `WORKER_NAME` Worker name.

### Fields inherited from class org.apache.ignite.internal.util.worker.GridWorker

`isCancelled, log`

### Constructor Summary

Constructors
Constructor and Description

`CommunicationWorker(String igniteInstanceName, IgniteLogger log, TcpCommunicationConfiguration cfg, AttributeNames attrs, ConnectionClientPool clientPool, Supplier<FailureProcessor> failureProcessorSupplier, Function<UUID,ClusterNode> nodeGetter, Function<UUID,Boolean> pingNode, Supplier<IgniteExceptionRegistry> eRegistrySupplier, GridNioServerWrapper nioSrvWrapper, WorkersRegistry workersRegistry, String spiName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProcessDisconnectRequest(DisconnectedSessionInfo sesInfo)`
`protected void` `body()` Connection stat processing.
`void` `stop()` Marks that instance must destroyed.

### Methods inherited from class org.apache.ignite.internal.util.worker.GridWorker

`blockingSectionBegin, blockingSectionEnd, cancel, cleanup, heartbeatTs, igniteInstanceName, isCancelled, isDone, join, name, onCancel, onCancelledBeforeWorkerScheduled, onIdle, run, runner, toString, updateHeartbeat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### WORKER_NAME

    public static final String WORKER_NAME

Worker name.

See Also:
  Constant Field Values

### Constructor Detail

#### CommunicationWorker

    public CommunicationWorker(String igniteInstanceName,
                               IgniteLogger log,
                               TcpCommunicationConfiguration cfg,
                               AttributeNames attrs,
                               ConnectionClientPool clientPool,
                               Supplier<FailureProcessor> failureProcessorSupplier,
                               Function<UUID,ClusterNode> nodeGetter,
                               Function<UUID,Boolean> pingNode,
                               Supplier<IgniteExceptionRegistry> eRegistrySupplier,
                               GridNioServerWrapper nioSrvWrapper,
                               WorkersRegistry workersRegistry,
                               String spiName)

Parameters:
  `igniteInstanceName` - Ignite instance name.
  `log` - Logger.
  `cfg` - Config.
  `attrs` - Attributes.
  `clientPool` - Client pool.
  `failureProcessorSupplier` - Failure processor supplier.
  `nodeGetter` - Node getter.
  `pingNode` - Ping node.
  `eRegistrySupplier` - Exception registry supplier.
  `nioSrvWrapper` - Nio server wrapper.
  `workersRegistry` - Workers registry.
  `spiName` - Spi name.

### Method Detail

#### addProcessDisconnectRequest

    public void addProcessDisconnectRequest(DisconnectedSessionInfo sesInfo)

Parameters:
  `sesInfo` - Disconnected session information.

#### stop

    public void stop()

Marks that instance must destroyed.

#### body

    protected void body()
                 throws InterruptedException

Connection stat processing.

Specified by:
  `body` in class `GridWorker`
Throws:
  `InterruptedException` - Thrown in case of interruption.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023